<template>

	<v-snackbar
		v-model="show.show"
		:vertical="vertical"
		v-bind:color="shownColour"
		timeout="4000"
		>
	
		{{ show.message }}

		<ul>
			<li v-for="(value,key) in show.theErrors" v-bind:key="'error-at-'+key">
				{{key}} : {{value}}
			</li>
		</ul>

		<template v-slot:action="{ attrs }">
			<v-btn
				color="white"
				text
				v-bind="attrs"
				v-on:click="close"
			>
				Close
			</v-btn>
		</template>
	</v-snackbar>


</template>

<script>
import {mapGetters, mapActions} from 'vuex'

export default {
	name:'alert',	
	data:function(){
		return {				
			vertical:true,		
			color:{
				success:'green',
				info:'grey',
				error:'red',
				warning:'yellow',
				default:'purple'
			}			
		}
	},methods:{
		...mapActions({

			close:'alert/close'

		})
		
	},computed:{
		shownColour:function(){
			
			console.log('before getters show')
			console.log(this.show)	

			if(this.show.title=='success')
				return this.color.success
			if(this.show.title=='info')
				return this.color.info
			if(this.show.title=='warning')
				return this.color.warning
			if(this.show.title=='error')
				return this.color.error
			
			return this.color.default
		},
		...mapGetters({

		show:'alert/isShow'

		}),
	},mounted:function(){

		console.log('Alert Component Mounted ...')

	},	

}
</script>

<style>

</style>